Subject: bug#43389: 28.0.50; Emacs memory leaks

From: DJ Delorie <[email-masked]>
Date: Tue, 17 Nov 2020 14:59:54 -0500

Eli Zaretskii <[email-masked]> writes:
> Is it possible to start tracing only when the fast growth of memory
> footprint commences?  Or is tracing from the very beginning a
> necessity for providing meaningful data?

Well, both.  The API allows you to start/stop tracing whenever you like,
but the state of your heap depends on the entire history of calls.

So, for example, a trace during the "fast growth" period might show a
pattern that helps us[*] debug the problem, but if we want to
*reproduce* the problem, we'd need a full trace.

[*] and by "us" I mostly mean "emacs developers who understand their
    code" ;-)